io.milvus.bulkwriter

## Class BulkWriter

- java.lang.Object
- - io.milvus.bulkwriter.BulkWriter

- Direct Known Subclasses:
    LocalBulkWriter

      public abstract class BulkWriter
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendRow(com.google.gson.JsonObject row)`
    `java.lang.Integer` | `getBufferRowCount()`
    `java.lang.Integer` | `getTotalRowCount()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBufferRowCount

          public java.lang.Integer getBufferRowCount()

    - #### getTotalRowCount

          public java.lang.Integer getTotalRowCount()

    - #### appendRow

          public void appendRow(com.google.gson.JsonObject row)
                         throws java.io.IOException,
                                java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`